---
title: Paper accepted at Concur 2017
---
Andrea Cerone has had a paper accepted at this year’s [International Conference on Concurrency Theory, (Concur 2017)](https://www.concur2017.tu-berlin.de/) 
which will be held in Berlin, Germany in September.

The paper, entitled [Algebraic Laws for Weak Consistency]({{site.baseurl}}{% link publications/Cerone2017Algebraic.html %}) was written in collaboration 
with [Alexey Gotsman]( http://software.imdea.org/~gotsman), IMDEA Software Institute, Madrid and [Hongseok Yang](http://www.cs.ox.ac.uk/people/hongseok.yang/Public/Home.html), University of Oxford, UK.

The purpose of the CONCUR conferences is to bring together researchers, developers, and students in order to advance the theory of concurrency, and promote its applications. The topics covered are Theory, Formal Modelling, Verification, Performance Evaluation and Engineering of concurrent, timed, and other systems.
CONCUR is part of [QONFEST](https://conference.imp.fu-berlin.de/qonfest/home), the umbrella event comprising the joint international 2017 meetings [CONCUR](https://www.concur2017.tu-berlin.de),
[QEST](http://www.qest.org/qest2017), [FORMATS](http://formats17.ulb.be), and [EPEW](http://page.mi.fu-berlin.de/preineck/epew2017-mirror), alongside with several workshops and tutorials.