---
title: Invited paper at the 26th International Conference on Automated Reasoning, (CADE), Gothenburg, Sweden.
---

Philippa Gardner was one of the invited speakers at the this year’s [CADE conference](http://www.cade-26.info/), held in Gothenburg, Sweden, on 6-11 August 2017. 

Philippa presented an invited paper, [‘Towards Logic-based Verification of JavaScript Programs’](https://link.springer.com/chapter/10.1007/978-3-319-63046-5_2), 
jointly written with [José Fragoso Santos]({{site.baseurl}}{% link _people/fragoso-santos.md %}), [Petar Maksimović](https://sites.google.com/site/petarmaksimovic1981/) 
and [Daiva Naudžiūnienė](https://www.doc.ic.ac.uk/~dn911/) 

This position paper proposes a possible pathway to achieve scalable symbolic verification of JavaScript based on separation logic. 
It also highlights the difficulties imposed by the language and the current state-of-the-art in the literature.

The conference on Automated Deduction (CADE) is the major international forum at which research on all aspects 
of automated deduction is presented. The conference, first established in 1974, is held under the aegis of the [Association for Automated Reasoning (AAR)](http://www.aarinc.org)