---
title: Papers accepted at POPL 2019
---

Congratulations to José Fragoso Santos, Philippa Gardner, Petar Maksimović, 
Martin Bodin and Gaby Sampaio, whose papers were accepted at this year’s 
[ACM SIGPLAN Symposium on Principles of Programming Languages (POPL 2019)](https://popl19.sigplan.org/home).

José, Petar, Gaby and Philippa had their paper ['JaVerT 2.0: Compositional 
Symbolic Execution for JavaScript']({{site.baseurl}}{% link publications/FragosoSantos2019JaVerT.html %}) accepted. The paper describes JaVerT 2.0, 
a symbolic analysis tool for JavaScript that follows the language semantics 
without simplifications. 

Martin and Philippa's paper, written in collaboration with 
[Thomas Jensen](http://www.irisa.fr/celtique/jensen/) and 
[Alan Schmitt](http://people.rennes.inria.fr/Alan.Schmitt/), 
from [Inria]( https://www.inria.fr/en/centre/rennes), is ['Skeletal Semantics 
and Their Interpretations']({{site.baseurl}}{% link publications/Bodin2019Skeletal.html %}) and in it, they introduce a skeletal semantics of 
a language, where each skeleton describes the complete semantic behaviour of 
a language construct. You can find more details and additional proofs on the [companion page](http://skeletons.inria.fr/popl2019/index.html)
and their [artifact on their Gitlab repository](https://gitlab.inria.fr/skeletons/Coq/tree/POPL2019).