---
title: Facebook Continuous Reasoning research award for JaVerT 2.0.
---

Philippa Gardner, Jose Fragoso Santos and Petar Maksimovic have won a [Facebook 
Continuous Reasoning research award](https://research.fb.com/announcing-the-winners-of-the-facebook-continuous-reasoning-research-awards/) 
for their project JaVerT 2.0: Automatic Compositional Analysis for JavaScript.  

[JaVerT 2.0](https://www.doc.ic.ac.uk/~pg/publications/FragosoSantos2019JaVerT.pdf) 
is a separation-logic-based tool for JavaScript analysis and testing that follows 
the language semantics without simplifications. It supports whole-program symbolic 
testing, verification, and automatic compositional testing based on bi-abduction.
The award, one of five awarded on the call, was open to research teams working on 
[applying formal methods using continuous reasoning and in particular, those addressing 
fundamental problems for mostly-automatic or interactive verifiers.](https://research.fb.com/programs/research-awards/proposals/continuous-reasoning-research-award/)