---
title: Paper accepted at ECOOP 2019
---

Congratulations to Petar Maksimović and Philippa Gardner, whose paper with 
[Conrad Watt](https://www.cl.cam.ac.uk/~caw77/) and [Neel Krishnaswami](https://www.cl.cam.ac.uk/~nk480/)
(University of Cambridge) has been accepted at this year’s [European Conference 
on Object-Oriented Programming (ECOOP '19)](https://2019.ecoop.org/)

In their paper: [“A Program Logic for First-Order Encapsulated WebAssembly”](https://2019.ecoop.org/event/ecoop-2019-papers-a-program-logic-for-first-order-encapsulated-webassembly) 
they introduce Wasm Logic, a sound program logic for first-order, encapsulated 
WebAssembly. Using Wasm Logic, they also specify and verify a simple WebAssembly 
tree library, giving abstract specifications independent of the underlying implementation. 
You can [read the draft submitted for publication here](https://www.cl.cam.ac.uk/~nk480/wasm-pl.pdf).