---
title: Six week programme Verified Software at the Isaac Newton Institute, Cambridge
---

Philippa Gardner is one of the organisers of the [six week programme Verified 
Software at the Isaac Newton Institute]( https://www.newton.ac.uk/event/vso
), Cambridge. 

The Verified Software programme includes two workshops, one on 
the [Theory and Applications of Verified Software, From Theory to Practice](https://www.newton.ac.uk/event/vsow01) 
and a second one on [Verification Tools and Experiments]( https://www.newton.ac.uk/event/vsow02). 
These will be supplemented with smaller workshops and working groups devoted to specialized topics and industrial applications. 

The aim of the programme is to bring together a diverse mix of 
researchers to take stock of the first fifteen years of [Tony Hoare’s Verified 
Software Challenge](https://www.researchgate.net/publication/221160548_Verified_Software_Theories_Tools_Experiments_Vision_of_a_Grand_Challenge_Project) 
and formulate a concrete roadmap for international cooperation for the next fifteen years.

Participation is by invitation only, but members of Cambridge University 
are welcome to sign in as a non-registered attendee on the day(s) and attend 
the lecture(s) and there are also [options to participate remotely}(https://www.newton.ac.uk/events/how-to-participate), 
as most of the seminars at INI are streamed live and are made available for download as a webseminar shortly after the event.