---
title: UNESCO World Logic Day event
---
Philippa Gardner and Petar Maksimovic will take part in the [Computer Science needs Logic!](https://sites.google.com/view/imperial-worldlogicday2021/home) event, part of Imperial College contribution to the [UNESCO World Logic Day](https://en.unesco.org/commemorations/worldlogicday).

The event, organised by Prof Alessandra Russo and Dr Mark Law, wants to 
celebrate Logic as a vital and core part of Computing. The [programme](https://sites.google.com/view/imperial-worldlogicday2021/home/programme) will 
showcase advancements made in "Logic and Programming Languages" 
and "Logic and Artificial Intelligence", with presentations by PhD 
students, post-docs and academics working in areas where there is a 
need for logical inference or advantages in using logic-based methods. 

Philippa will talk on “Compositional Reasoning about Software Systems: 
Separation Logic.” and Petar with talk about “Gillian: A Multi-language 
Platform for Compositional Symbolic Execution.”
