---
title: Amazon Research Award (ARA) to Philippa Gardner
---

Philippa Gardner has been announced as one of the recipients of the [Spring 2021 Amazon Research Awards (ARA)](https://www.amazon.science/research-awards).

ARA is a program funding academic research to open-source projects by top academic researchers around the world. Philippa was one of 26 awards made to researchers from 25 universities in 11 countries. Her successful proposal: Gillian: A Multi-language Platform for Symbolic Testing and Verification, was funded as part of ARA's Amazon Web Services Automated Reasoning call. 

[Daniel Kroening, senior principal scientist for the Automated Reasoning Group](https://www.amazon.science/author/daniel-kroening), welcomed the new ARA researchers. "Research in automated reasoning is deeply intertwined with a broad range of other research areas, touching machine learning, hardware and software engineering, robotics, and life sciences," he said "The 2021 Amazon Research Awards reflect this breadth, and the interdisciplinary nature of research that is necessary to take computing one step closer to that magic spark that drives human reasoning."   

The proposed work, to instantiate Gillian with Rust and to test and verify some of the unsafe code in the standard Rust library, is part of the goal to develop Gillian into a robust platform for symbolic testing and verification, usable by specialist tool developers, professional code developers, and students.
