---

title: Welcome to Gabriela Sampaio, new PhD student with the group

---

We are really happy to welcome [Gabriela Sampaio]({{site.baseurl}}{% link _people/sampaio.md %}), who has joined the group as a PhD student. 

Gabriela completed her BSc at the Federal University of Pernambuco (UFPE, Brazil)
and as an undergraduate, she spent a year at the University of Kent, working on [Wrangler](https://www.cs.kent.ac.uk/projects/wrangler/Wrangler/Home.html), 
a refactoring tool for Erlang, under the supervision of [Prof Simon Thompson](https://www.cs.kent.ac.uk/people/staff/sjt/). After a stint as a  web developer in Brazil,
she went back to UFPE in 2017 to do a MSc under the supervision of [Prof Paulo Borba](http://ufpe.academia.edu/PauloBorba), working on ways to support developers in partially 
safe changes to software product lines with the use of a partial refinement theory; the results were published at [SPLC'16](https://dl.acm.org/citation.cfm?id=2934482). 
Gabriela's PhD thesis will focus on the reasoning and verification of large Javascript Programs.