---
title: Visitor to the group, Giovanni Bernardi, IRIF, Paris
---

[Dr Giovanni Bernardi](https://www.researchgate.net/profile/Giovanni_Bernardi2) of Paris Diderot University / [IRIF]( https://www.irif.fr//en/index) 
visited the group in November to give a talk on his current work on must- testing for message passing concurrency. 

[Giovanni](https://www.irif.fr/~gio/index.xhtml) is a long standing co-author with Andrea Cerone and has worked on Formal methods 
and the Semantics of programming languages, focusing on concurrency, types (overall behavioural ones [BETTY]), and models of types. 
The title of his talk was Full-abstraction for Must Testing Preorders. 

Abstract: The client must preorder relates tests (clients) instead of processes (servers). 
The existing characterisation of this preorder is unsatisfactory for it relies 
on the notion of usable clients which, in turn, are defined using an existential 
quantification over the servers that ensure client satisfaction. In this talk, 
we characterise the set of usable clients for finite-branching LTSs, and give a 
sound and complete decision procedure for it. We also provide a novel coinductive 
characterisation of the client preorder, which we use to argue that the preorder 
is decidable, thus positively answering the question remained open in the literature.
