---
title: Google Compiler and Programming Language Summit, Munich, Germany
---

[Gabriela Sampaio](https://www.doc.ic.ac.uk/~gcs817/) and [Shale Xiong](https://www.doc.ic.ac.uk/~sx14/) were two of the invited students attending 
this year’s Google Compiler and Programming Language Summit in Munich, Germany.
 

The summit, now on its fifth year, invites a number of promising PhD students 
across Europe working in the field of compiler and programming language technology, 
to attend three days of research talks and seminars at the Google office. 
 
Gabriela and Shale took part in the poster fair, presenting two posters about their current work on 
[Automatic JavaScript Program Verification Using Bi-Abduction]({{site.baseurl}}{% link slides/Sampaio-Automatic-JavaScript.pdf %})
and [Reasoning about Concurrent Programs using Separation Logic]({{site.baseurl}}{% link slides/Xiong-Concurrent.pdf %}).

They also attended several round tables and had the chance to discuss their 
research with engineers at Google and to learn first hand
about Google’s latest work on programming language implementation and how this 
research is applied to compilers and language tooling at Google and across industry.