---
title: PhD position, start date in October 2018
---

Philippa Gardner is currently looking for a PhD student, start date in October 2018, 
to join the [Verified Trustworthy Software Specification Group]({{site.baseurl}}), 
 

For more details, please see the note below from Philippa:

I am looking for a PhD student to start in October 2018 to join my research group on program analysis and specification, 
as part of the [analysis and verification theme at Imperial](http://www.imperial.ac.uk/computing/research/analysis-and-verification/).
My group is involved with a a wide range of theoretical and practical projects on the analysis and verification of concurrent and web programs. Possible projects include:
* a theoretical project on reasoning about either concurrent algorithms (see [MFPS'15 tutorial paper](https://www.doc.ic.ac.uk/~pg/publications/daRochaPinto2015Steps.pdf))
or distributed systems (a new topic for me since [Andrea Cerone](https://www.doc.ic.ac.uk/~acerone/) became my RA; 
* a more practical project on using our concurrent specification of POSIX file systems for verification and testing 
(see Ntzik's [PhD thesis](https://www.doc.ic.ac.uk/~pg/publications/Ntzik2017Reasoning.pdf));
* several projects associated with the JaVert verification toolchain (see [POPL'18 paper](https://www.doc.ic.ac.uk/~jfaustin/javert.pdf)); and 
* several projects associated with test generation from language semantics (see [POPL’14 paper](https://www.doc.ic.ac.uk/~pg/publications/Bodin2014Trusted.pdf))
or library axiomatic specifications.

A successful UK student will probably be funded through the standard Departmental competition for funds. A successful 
EU/overseas student will probably be funded by a combination of Departmental funding and my funding. 

The deadlines to apply for a PhD position in the Department are **19 January 2018** and 23 March 2018. 
The Department advises all students requiring funding to apply by the January deadline, 
although there may still be some funding available for applications received after January. 
Further details can be found at the in the Department's [PhD application page](http://www.imperial.ac.uk/computing/prospective-students/phd/). 

Please do not hesitate to [contact me directly](https://www.doc.ic.ac.uk/~pg/#contact) if interested, 

Best wishes, Philippa