---
title: Paper presented at POPL18
---

[José Fragoso Santos]({{site.baseurl}}{% link _people/fragoso-santos.md %}) presented his paper 
[JaVerT: JavaScript Verification using Separation Logic]({{site.baseurl}}{% link publications/FragosoSantos2018JaVerT.html %}), jointly authored 
with [Petar Maksimović](https://sites.google.com/site/petarmaksimovic1981/), [Daiva Naudžiūnienė](https://www.doc.ic.ac.uk/~dn911/),
[Thomas Wood](https://www.doc.ic.ac.uk/~tw1509/) and [Philippa Gardner](https://www.doc.ic.ac.uk/~pg/), at this year’s ACM SIGPLAN Symposium on Principles 
of Programming Languages [(POPL 2018)](https://popl18.sigplan.org/).

The paper introduces JaVerT, a semi-automatic verification tool chain for JavaScript 
based on separation logic.

<div style="position:relative;height:0;padding-bottom:56.25%"><iframe src="https://www.youtube.com/embed/HDf5PC0bzzo?ecver=2" style="position:absolute;width:100%;height:100%;left:0" width="640" height="360" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe></div>



More videos recorded during the conference are available on the [POPL18 YouTube channel](https://www.youtube.com/channel/UCTp2XBEhj5rBzc2IfysZwYA). 