---
title: Paper accepted and paper published
---

A paper co-authored by current and former researchers of the group has just been 
publised. A second paper, also collaborative work with current and former researchers 
has also just been accepted to ECOOP 18.

The first paper, [A perspective on specifying and verifying concurrent modules](https://www.sciencedirect.com/science/article/pii/S2352220817300871)
by [Thomas Dinsdale-Young](https://cs.au.dk/~tyoung/), [Pedro da Rocha Pinto]({{site.baseurl}}{% link _people/da-rocha-pinto.md %}) 
and [Philippa Gardner]({{site.baseurl}}{% link _people/gardner.md %}) has been published in the [Journal of Logical and Algebraic Methods in Programming](https://www.sciencedirect.com/journal/journal-of-logical-and-algebraic-methods-in-programming).

In the paper, the authors survey a range of techniques for specifying concurrent modules, 
using the example of a counter module to illustrate the benefits and limitations of each.
They highlight four key concepts underpinning these techniques: auxiliary state, 
interference abstraction, resource ownership and atomicity. Then they demonstrate how 
these concepts can be combined to achieve two powerful approaches for specifying 
concurrent modules and verifying implementations and clients, which remove the 
limitations highlighted by the counter example.

The second paper, co-authored by [Gian Ntzik]({{site.baseurl}}{% link _people/ntzik.md %}), 
[Pedro da Rocha Pinto]({{site.baseurl}}{% link _people/da-rocha-pinto.md %}), 
[Julian Sutherland]({{site.baseurl}}{% link _people/sutherland.md %})
and [Philippa Gardner]({{site.baseurl}}{% link _people/gardner.md %}) has just been accepted to the 32nd European Conference on Object-Oriented Programming 
[(ECOOP 2018)](https://conf.researchr.org/home/ecoop-2018), which will be held in Amsterdam in July. 

In the paper, entitled A Concurrent Specification of POSIX File Systems, 
the authors provide a formal concurrent specification of POSIX file systems 
and demonstrate scalable reasoning for clients.

Congratulations to all.