---
title: Welcome to Martin Bodin, new member of the group
---
We are very happy to welcome Martin Bodin, who joins the group as a Research Associate. 
Martin did his PhD on [Certified Semantics and Analysis of JavaScript](http://www.cmm.uchile.cl/~mbodin/doktorigxo/manuscrit.pdf)
at the [University of Rennes 1](https://english.univ-rennes1.fr/) under the supervision 
of [Alan Schmitt]( http://people.rennes.inria.fr/Alan.Schmitt/index.html) 
and [Thomas Jensen](http://www.irisa.fr/celtique/jensen/). He then 
participated on the [JSCert project]( http://www.jscert.org/) to build 
a Coq specification for JavaScript. 

He applied the same formalising technique to build a semantics for R during his 
postdoc at the [University of Chile]( http://www.cmm.uchile.cl/). These specifications 
come with a high degree of confidence, but also with a large size. His current 
work focuses on building and proving abstract analyses for such large semantics.

You can find more about Martin and his work on [his webpage](http://www.cmm.uchile.cl/~mbodin/esplorado.html?lang=en#en).