---
title: Talk on Gillian, Workshop on High Assurance Systems Engineering, POPL2020
---

Philippa was one of the speakers at the [Interactive Knowledge 
Shares session](https://popl20.sigplan.org/details/hase-2020-papers/2/Interactive-Knowledge-Shares) 
of this year’s [HASE, the Workshop on High Assurance Systems Engineering]( https://popl20.sigplan.org/home/hase-2020)

HASE, part of [POPL](https://popl20.sigplan.org), aims to bring about new collaborations 
and launch shared initiatives to provide high levels of assurance about the correct operation and security properties 
of production systems (software and hardware).

Philippa presented Gillian, a language independent framework supporting 
compositional symbolic analysis. Gillian supports three flavours of analysis: 
whole-program symbolic testing, full verification, and bi-abduction. It comes with 
fully parametric meta-theoretical results and a modular implementation, designed 
to minimise the instantiation effort required of the user.