---
title: Congratulations to Dr Shale Xiong
---

Many congratulations to Shale Xiong, who very successfully defended his PhD thesis, [Parametric Operational Semantics
for Consistency Models](https://vtss.doc.ic.ac.uk/publications/Xiong2020Parametric.html) today.

Many thanks also to [Brijesh Dongol](https://www.surrey.ac.uk/people/brijesh-dongol), 
[Annette Bieniusa](https://softech.informatik.uni-kl.de/homepage/de/staff/AnnetteBieniusa/) and [Susan Eisenbach](https://www.imperial.ac.uk/people/s.eisenbach)
who acted as the examiners.

Shale's thesis develops a novel operational semantics for distributed key-value stores.
This model combines the evolution of a global multi-versioning view and the client-local partial views and the
operational semantics allow to formulate consistency levels from read Strict Serializability to Read 
Atomicity based on execution tests that validate the correctness of transactional operations on the shared data.  

Shale is currently working as a Research Engineer in the Security group at [Arm Research, Cambridge](https://www.arm.com/resources/research)
