---
title: REMS and DeepSpec workshop, livestream talks

---

The [REMS+DeepSpec workshop](https://pldi20.sigplan.org/home/rems-deepspec-2020) 
organized jointly by the [EPSRC project REMS: Rigorous Engineering for 
Mainstream Systems (Cambridge, Imperial, and Edinburgh, UK)](https://www.cl.cam.ac.uk/~pes20/rems/) and the NSF 
Expedition in Computing ["The Science of Deep Specification" (US)](https://deepspec.org/main) was held on Mon 15 - Tue 16 Jun 2020.

The two-day  workshop, part of [PLDI 2020]( https://pldi20.sigplan.org/), combined in-depth presentations by members of the two projects with invited talks by external experts, 
and general talks. The [program and list of talks 
can be found here]( https://pldi20.sigplan.org/home/rems-deepspec-2020#program).

You can also see the livestream of the talks for [Monday](https://www.youtube.com/watch?v=FnSIJqJM3DY) and [Tuesday](https://youtu.be/9Rt5-PeG_9A) on YouTube. Philippa’s talk, on [Gillian: a Multi-language Platform for Program Correctness and Incorrectness](https://pldi20.sigplan.org/details/rems-deepspec-2020/10/Gillian-a-Multi-language-Platform-for-Program-Correctness-and-Incorrectness) can be found on the link [here](https://youtu.be/9Rt5-PeG_9A?t=8087) or below from 2:14:50. 

<iframe width="560" height="315" src="https://www.youtube.com/embed/9Rt5-PeG_9A" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>