---
title: Welcome to Andreas Lööw, new researcher with the group
---

A very warm welcome to Andreas Lööw, who has just started with us as a Post-Doctoral researcher. 

Andreas completed his PhD on [Building Verified Hardware and Verified Stacks in HOL](https://www.doc.ic.ac.uk/~aloow/papers/thesis.pdf) at Chalmers University of Technology, under the supervision of [Magnus Myreen](http://www.cse.chalmers.se/~myreen/). 

[Andreas' research focuses on interactive theorem proving for software and hardware correctness](https://www.doc.ic.ac.uk/~aloow/) and much of his work revolves around trustworthy hardware; [his latest paper, on the development and verification of the Verilog synthesis tool Lutsig](https://dl.acm.org/doi/10.1145/3437992.3439916) was accepted at this year’s POPL’s [Certified Programs and Proofs (CPP)]( https://popl21.sigplan.org/home/CPP-2021?.) series.
