---
title: Congratulations to Dr Sampaio
---

Many congratulations to Gabriela Sampaio, who defended her PhD thesis, A Trusted Infrastructure for Symbolic Analysis of Event based Web APIS very succesfully today.

Many thanks also to [Alan Schmitt](http://people.rennes.inria.fr/Alan.Schmitt/), [Frank Tip](http://www.franktip.org) and [Nicolas Wu](https://zenzike.com), who acted as the examiners.

Gabriela's thesis presents her work developing a formal, executable semantics of a subset of the JavaScript programming language, including several key Application Program Interfaces (APIs) called [JaVerT.Click](https://github.com/javert-click/javert-click). The formalization models the Document Object Model (DOM) by which code executed in a browser interacts with the page that is being displayed, the JS promises and async/await mechanisms for asynchronous programming, and the WebMessaging and WebWorkers APIs for creating multiple workers that execute concurrently and communicate among each other using message-passing. The semantics can be instantiated to achieve either concrete or symbolic execution, enabling the construction of symbolic test cases that enable concise specification of tests that achieve good code coverage. 

After a well deserved holiday, Gabriela will take up a position as a software engineer with Facebook London.
